Update Story Item Times
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"updates": [
{
"generation_id": "<string>",
"start_time_ms": 1
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times"
payload = { "updates": [
{
"generation_id": "<string>",
"start_time_ms": 1
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{generation_id: '<string>', start_time_ms: 1}]})
};
fetch('https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'updates' => [
[
'generation_id' => '<string>',
'start_time_ms' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times"
payload := strings.NewReader("{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Update Story Item Times
Update story item timecodes.
PUT
/
stories
/
{story_id}
/
items
/
times
Update Story Item Times
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"updates": [
{
"generation_id": "<string>",
"start_time_ms": 1
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times"
payload = { "updates": [
{
"generation_id": "<string>",
"start_time_ms": 1
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{generation_id: '<string>', start_time_ms: 1}]})
};
fetch('https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'updates' => [
[
'generation_id' => '<string>',
'start_time_ms' => 1
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times"
payload := strings.NewReader("{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/stories/{story_id}/items/times")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"updates\": [\n {\n \"generation_id\": \"<string>\",\n \"start_time_ms\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
ApiKeyAuthSessionAuth
Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.
Path Parameters
Body
application/json
Request model for batch updating story item timecodes.
Show child attributes
Show child attributes
Response
Successful Response

